--
-- $Id$
--
-- Customer specific once-script BLCC#55498.SQL.
-- Contractpartij Canon Nederland NV (18021), Hago Nederland B.V. (61), I-Care Reliability Nederland BV (11181)
-- 801 = Rachel Witter, 2401 = Anieke Thomassen

DEFINE thisfile = 'BLCC#57141.SQL'
DEFINE dbuser   = '^BLCC'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE cnt_contract
   SET prs_perslid_key_beh = 801
 WHERE cnt_contract_key IN
             (SELECT cnt_contract_key
                FROM cnt_contract
               WHERE     cnt_contract_looptijd_tot > TRUNC (SYSDATE)
                     AND cnt_contract_verwijder IS NULL
                     AND prs_perslid_key_beh = 2401
                     AND cnt_prs_bedrijf_key IN
                              (18021, 61, 11181));

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile